using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate649 : MulticastDelegate
{
	public extern TaskAwaiter Invoke(object object_0);

	public static TaskAwaiter smethod_0(object object_0, Delegate649 delegate649_1)
	{
		return delegate649_1(object_0);
	}

	public extern Delegate649(object object_0, IntPtr intptr_0);

	static Delegate649()
	{
		Class10.smethod_13(typeof(Delegate649).TypeHandle);
	}

	internal static Delegate649 delegate649_0;
}
